CEL: Crystal Entity Layer: iQuestSequenceFactory Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iQuestSequenceFactory Struct Reference

A representation of a sequence factory. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions
virtual void | AddDelay (const char *delay)=0
| Add a delay.
virtual void | AddSeqOpFactory (iQuestSeqOpFactory *seqopfact, const char *duration)=0
| Add a new operation factory at the specified time.
virtual const char * | GetName () const =0
| Get the name of this factory.
virtual bool | Load (iDocumentNode *node)=0
| Load this sequence factory from a document node.

## Detailed Description

A representation of a sequence factory.

A sequence factory is basically a sequence of sequence operation factories.

Definition at line 503 of file questmanager.h.

## Member Function Documentation

virtual void iQuestSequenceFactory::AddDelay | ( | const char * | delay | ) | `[pure virtual]`

  | Add a delay. Parameters:
  | delay | is a the delay or a parameter.

virtual void iQuestSequenceFactory::AddSeqOpFactory | ( | iQuestSeqOpFactory * | seqopfact,
|  | const char * | duration
| ) | `[pure virtual]`

  | Add a new operation factory at the specified time. Parameters:
  | seqopfact | is the factory to add.
  | duration | is the duration of this operation. This can be a string representing a numerical value or a parameter ($x notation). The duration can be 0 in which case we have a single-stop event.

virtual const char* iQuestSequenceFactory::GetName | ( |  | ) | const`[pure virtual]`

| Get the name of this factory.

virtual bool iQuestSequenceFactory::Load | ( | iDocumentNode * | node | ) | `[pure virtual]`

  | Load this sequence factory from a document node. Parameters:
  | node | is the <sequence> node in a quest.
Returns: false on error (reporter is used to report).

The documentation for this struct was generated from the following file:

- tools/questmanager.h